---
title: Create / Update Material
slug: create-update-material
docTags: 
createdAt: 2026-10-08T08:29:29.588Z
---

{
  "id": "wKos2-6Ldc_eO0K-b935C",
  "type": "api-oas-v2",
  "data": {
    "method": "POST",
    "url": "https://dev1.frontu.com//client/api/v2/materials",
    "servers": [
      {
        "url": "https://dev1.frontu.com//client/api/v2/materials"
      }
    ],
    "name": "Create / Update Material",
    "description": "This enpoind allows to create or update material values.\n\nIf you want to update Material using POST method you need to fill information for guid field or systemId field in request body.",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "optional",
          "name": "body",
          "type": "object",
          "description": "",
          "schema": [
            {
              "name": "materialType",
              "kind": "optional",
              "type": "string",
              "description": ""
            },
            {
              "name": "standartizedMaterial",
              "kind": "optional",
              "type": "string",
              "description": "GUID or systemId of Standartized Material"
            },
            {
              "name": "task",
              "kind": "optional",
              "type": "string",
              "description": "GUID or systemId of Task"
            },
            {
              "name": "workspace",
              "kind": "optional",
              "type": "string",
              "description": "GUID or systemId of Workspace"
            },
            {
              "name": "user",
              "kind": "optional",
              "type": "string",
              "description": "GUID or systemId of User"
            },
            {
              "name": "selfCost",
              "kind": "optional",
              "type": "string",
              "description": ""
            },
            {
              "name": "vat",
              "kind": "optional",
              "type": "string",
              "description": ""
            },
            {
              "name": "serialNumber",
              "kind": "optional",
              "type": "string",
              "description": ""
            },
            {
              "name": "amount",
              "kind": "optional",
              "type": "integer<int32>",
              "description": "",
              "format": "int32"
            },
            {
              "name": "rate",
              "kind": "optional",
              "type": "integer<int32>",
              "description": "",
              "format": "int32"
            },
            {
              "name": "sfNumber",
              "kind": "optional",
              "type": "string",
              "description": ""
            },
            {
              "name": "price",
              "kind": "optional",
              "type": "integer<int32>",
              "description": "",
              "format": "int32"
            },
            {
              "name": "priceWithVat",
              "kind": "optional",
              "type": "integer<int32>",
              "description": "",
              "format": "int32"
            },
            {
              "name": "title",
              "kind": "optional",
              "type": "string",
              "description": ""
            },
            {
              "name": "description",
              "kind": "optional",
              "type": "string",
              "description": ""
            },
            {
              "name": "guid",
              "kind": "optional",
              "type": "string",
              "description": ""
            },
            {
              "name": "suggestedAmount",
              "kind": "optional",
              "type": "integer<int32>",
              "description": "",
              "format": "int32"
            },
            {
              "name": "systemId",
              "kind": "optional",
              "type": "string",
              "description": "Identifier from external system"
            },
            {
              "name": "deleted",
              "kind": "optional",
              "type": "boolean",
              "description": "<p>Mark if entity is archived (1) or active (0)</p>"
            },
            {
              "name": "debited",
              "kind": "optional",
              "type": "boolean",
              "description": "<p>Mark if material is debited (1) or not debited (0). On an existing material the status must actually change: debiting an already debited material, or restoring one that is not debited, returns 400. Omit the field to leave the status as it is.</p>"
            }
          ],
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "Bearer",
          "name": "Authorization",
          "kind": "optional",
          "type": "apiKey",
          "description": "<p>Value: Bearer {access_token}</p>",
          "in": "header"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "201",
        "description": "Returned when successful",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "400",
        "description": "Data contains errors",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "Lujx8LKfUK4q4cgVbrypf",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request POST \\\n     --url https://dev1.frontu.com//client/api/v2/materials \\\n     --header 'accept: application/json'"
        },
        {
          "id": "rYEO6lPlSM3DMYhNLTfg1",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://dev1.frontu.com//client/api/v2/materials\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "maZ9emex26Sr1bgTrMD3W",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://dev1.frontu.com//client/api/v2/materials\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "XJ6J6ozAv6Nx8B6GrKS3M",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://dev1.frontu.com//client/api/v2/materials\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "Lujx8LKfUK4q4cgVbrypf"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-201",
          "language": "201",
          "code": "// Returned when successful\n"
        },
        {
          "id": "response-1-400",
          "language": "400",
          "code": "// Data contains errors\n"
        }
      ],
      "selectedLanguageId": "response-0-201"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}